<?php 
if (!$_REQUEST['record'])
    die('Brak rekordu');

$invoice = new EcmInvoiceOut();
$invoice->retrieve($_REQUEST['record']);

if ($invoice->parent_id == '134') {
    require_once('modules/EcmInvoiceOuts/invoiceEdiXML.php');
    $xml = new invoiceEdiXML($_REQUEST['record']);
    $xml->getXML();
    echo 'Plik został wygenerowany sprawdź poprawność wysyłki.';
} else {
    echo "Odbiorca nie wspierany.";
}
?>